# SdFat: CID Class Reference

CID Class Reference

Card IDentification (CID) register. More...

`#include <SdCardInfo.h>`

## Public Attributes

unsigned char | always1: 1
unsigned char | crc: 7
unsigned char | mdt_month: 4
unsigned char | mdt_year_high: 4
unsigned char | mdt_year_low: 4
unsigned char | mid
char | oid [2]
char | pnm [5]
unsigned char | prv_m: 4
unsigned char | prv_n: 4
uint32_t | psn
unsigned char | reserved: 4

## Detailed Description

Card IDentification (CID) register.

## Member Data Documentation

## always1

unsigned char CID::always1

not used always 1

## crc

unsigned char CID::crc

CRC7 checksum

## mdt_month

unsigned char CID::mdt_month

Manufacturing date month

## mdt_year_high

unsigned char CID::mdt_year_high

Manufacturing date year high digit

## mdt_year_low

unsigned char CID::mdt_year_low

Manufacturing date year low digit

## mid

unsigned char CID::mid

Manufacturer ID

## oid

char CID::oid[2]

OEM/Application ID

## pnm

char CID::pnm[5]

Product name

## prv_m

unsigned char CID::prv_m

Product revision least significant digit

## prv_n

unsigned char CID::prv_n

Product revision most significant digit

## psn

uint32_t CID::psn

Product serial number

## reserved

unsigned char CID::reserved

not used

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/SdCard/SdCardInfo.h